import java.awt.*;

public class Painter
{

private boolean visible = false;

private DrawingCanvas drawingCanvas;

public void setDrawingCanvas(DrawingCanvas drawingCanvas) // registers the drawingCanvas to paint into
{
    this.drawingCanvas = drawingCanvas;
};

public void draw() // simple call the repaint method of the drawingCanvas
{
    visible = true;
    drawingCanvas.repaint();
};

public void draw(Graphics g) // perform the drawing with the help of the Graphics-Object obtained from the
                             // drawingCanvas' paint-Method
{
    if ( visible ) // Don't draw unless the draw()-method has been called!
    {
        g.setColor(Color.black);
        g.drawRect(10, 10 , 80, 80); // draw a rectangle into the drawingCanvas
    };
};

};
