import java.awt.*;

public class Painter
{

private DrawingCanvas drawingCanvas;

public void setDrawingCanvas(DrawingCanvas drawingCanvas) // registers the drawingCanvas to paint into
{
    this.drawingCanvas = drawingCanvas;
};

public void draw() // draws a rectangle into the DrawingCanvas
{
    Graphics g = drawingCanvas.getGraphics(); // get a Graphics-Object from the DrawingCanvas
    
    // Note: The Graphics-Object obtained by drawingCanvas.getGraphics() seems to be only a copy of the canvas'
    //       graphics context. Invocation of methods of this Graphics-Object (like the following) don't do anything to
    //       the drawingCanvas.
    
    g.setColor(Color.black);
    g.drawRect(10, 10 , 80, 80); // draw a rectangle into the DrawingCanvas
};

};
